# Cmput 455 sample code
# Tests the naive minimax and negamax codes that don't use any pruning
# Written by Martin Mueller

from minimax_sample_tree import SampleTree
from naive_minimax import minimaxOR, minimaxAND
from naive_negamax import naive_negamax

t = SampleTree()

result = minimaxOR(t)
print("Minimax search result = {}".format(result))

result = naive_negamax(t)
print("Naive negamax search result = {}".format(result))

t.play('a')

result = minimaxAND(t)
print("Minimax search result from node a = {}".format(result))

result = naive_negamax(t)
print("Naive negamax search result from node a = {}".format(result))
